"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChunkPool = void 0;
/**
 * Class representing a pool for row chunks
 * This pool abstraction let us to create any kind of strategies to insert chunks
 */
class ChunkPool {
    constructor() {
        this.ttlMs = 1;
        this.maxSize = 1;
    }
    /**
     * Setter
     * time for chunk to be unblocked and alive for assumming new table rows
     *
     * @param {number} ttlMs
     */
    setTtlMs(ttlMs) {
        this.ttlMs = ttlMs;
    }
    /**
     * Getter
     * time for chunk to be unblocked and alive for assumming new table rows
     *
     * @returns {number}
     */
    getTtlMs() {
        return this.ttlMs;
    }
    /**
     * Setter
     * total count of rows can be collected in a single table chunk before being blocked and resolved
     *
     * @param {number} maxSize
     */
    setMaxSize(maxSize) {
        this.maxSize = maxSize;
    }
    /**
     * Getter
     * total count of rows can be collected in a single table chunk before being blocked and resolved
     *
     * @returns {number}
     */
    getMaxSize() {
        return this.maxSize;
    }
}
exports.ChunkPool = ChunkPool;
